## hinemos src-3.1.0

=== debian/changelog ===
syslog-ng (1.6.9) syslogng16; urgency=low

  * New upstream version.

 -- Balazs Scheidler <bazsi@balabit.hu>  Wed, 23 Nov 2005 09:58:36 +0100
