=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DH_COMPAT=3

LIBOLDIR=`basename libol*tar.gz .tar.gz`

DDEBUG=`if (echo $(DEB_BUILD_OPTIONS) | grep -q debug) then \
			echo "--enable-debug"; \
		else \
			echo ""; \
		fi`

build: build-stamp
build-stamp:
	dh_testdir

	for i in debian/patches/*diff; do patch -p1 < $$i; if [ -f $$i.postinst ]; then . $$i.postinst; fi; done

	./configure --prefix=/ \
               --mandir=/usr/share/man \
               --sysconfdir=/etc \
               $(DDEBUG)
	# Add here commands to compile the package.

	$(MAKE) 

	touch build-stamp
clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	rm -rf src/cfg-grammar.c

	-for i in debian/patches/*diff; do patch -p1 -R < $$i; done
	find . -name \*rej -exec rm {} \;
	find . -name \*orig -exec rm {} \;

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

	dh_movefiles

	install -d -m 755 debian/syslog-ng/etc/default
	install -m 644 debian/syslog-ng.default debian/syslog-ng/etc/default/syslog-ng
	install -d -m 700 debian/syslog-ng/etc/syslog-ng
	install -m 644 debian/syslog-ng.conf debian/syslog-ng/etc/syslog-ng

	install -d -m 700 debian/syslog-ng/etc/logcheck/ignore.d.paranoid
	install -m 644 debian/syslog-ng.logcheck.ignore debian/syslog-ng/etc/logcheck/ignore.d.paranoid/syslog-ng
	install -d -m 700 debian/syslog-ng/etc/logcheck/ignore.d.server
	install -m 644 debian/syslog-ng.logcheck.ignore debian/syslog-ng/etc/logcheck/ignore.d.server/syslog-ng
	install -d -m 700 debian/syslog-ng/etc/logcheck/ignore.d.workstation
	install -m 644 debian/syslog-ng.logcheck.ignore debian/syslog-ng/etc/logcheck/ignore.d.workstation/syslog-ng

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	rm debian/syslog-ng/usr/share/doc/syslog-ng/sgml/Makefile*
	(cd debian/syslog-ng/usr/share/doc/syslog-ng/sgml; mv syslog-ng.html ../html; ls)
	rm debian/syslog-ng/usr/share/doc/syslog-ng/sgml/syslog-ng.html.tar.gz
	(cd debian/syslog-ng/usr/share/doc/syslog-ng/sgml; mv syslog-ng.* ..)
	rm -rf  debian/syslog-ng/usr/share/doc/syslog-ng/sgml
	rm -f debian/syslog-ng/usr/share/doc/syslog-ng/INSTALL
	rm -f debian/syslog-ng/usr/share/doc/syslog-ng/syslog-ng.conf.demo
	rm -f debian/syslog-ng/usr/share/doc/syslog-ng/syslog-ng.conf.sample
	rm -f debian/syslog-ng/usr/share/doc/syslog-ng/syslog-ng.conf.solaris
	dh_installexamples
#	dh_installmenu
#	dh_installemacsen
	dh_installinit -r --no-start -- defaults 10 90
	dh_installcron
	dh_installlogrotate
#	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs ChangeLog
#	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
